<form *ngIf='recipeForm' [formGroup]="recipeForm" class="form-container">
  <div [formGroup]="recipeForm?.get('attributes')" class="row-container">
    <div class="input-container">
      <ng-miam-drag-drop-input ngDefaultControl [formControl]="recipeForm?.get('attributes')?.get('media-url')"
        [imageUrl]="recipeForm?.get('attributes')?.get('media-url')?.value" [photoMode]='true'>
      </ng-miam-drag-drop-input>
      <div class="guest-container">
        <span>pour </span>
        <ng-miam-counter-input ngDefaultControl formControlName="number-of-guests"
          [formControl]="this.recipeForm.controls['attributes']['controls'][['number-of-guests']]" [isXL]='true'
          counter='4' minRange='0' maxRange='999'>
        </ng-miam-counter-input>
        <span>personnnes</span>
      </div>
    </div>
    <div class="input-container">
      <div class="m-label">Titre</div>
      <input formControlName="title" class="m-input-text" type="text" >
      <div class="m-label">Type</div>
      <select *ngIf='recipeTypeService' [formControl]="recipeForm?.get('recipe-type')" class="m-input-text">
        <option [ngValue]="null" disabled>Choisir un type</option>
        <option *ngFor="let type of recipeTypeService?.getTypes() | async" [ngValue]="type">{{type?.attributes?.name}}
        </option>
      </select>
      <ng-miam-slider ngDefaultControl [steps]="dificulties"
        [formControl]="recipeForm?.get('attributes')?.get('difficulty')" [icons]="iconsDificulties"></ng-miam-slider>
      <ng-miam-slider ngDefaultControl [steps]="costs" [formControl]="recipeForm?.get('attributes')?.get('cost')"
        [icons]="iconsCosts">
      </ng-miam-slider>
    </div>
    <div *ngIf='recipeForm' class="input-container">
      <ng-miam-time-picker ngDefaultControl title='Temps de préparation'
        [formControl]="recipeForm?.get('attributes')?.get('preparation-time')" [icon]='icon.Time'></ng-miam-time-picker>
      <ng-miam-time-picker ngDefaultControl title='Temps de cuisson'
        [formControl]="recipeForm?.get('attributes')?.get('cooking-time')" [icon]='icon.Hot'></ng-miam-time-picker>
      <ng-miam-time-picker ngDefaultControl title='Temps de repos'
        [formControl]="recipeForm?.get('attributes')?.get('resting-time')" [icon]='icon.Wait'></ng-miam-time-picker>
    </div>
  </div>
  <div class="row-container">
    <div class="input-container">
      <div class="m-label">Liste des ingrédients</div>
      <ng-miam-list-input ngDefaultControl (deleteId)="addToDeleteIngredientsList($event)" [ingredientMode]='true'
        [list]="recipeForm.get('ingredients')" formArrayName="ingredients" hint='Ajouter des ingrédients'>
      </ng-miam-list-input>
    </div>
    <div class="input-container">
      <div class="m-label">Liste des étapes</div>
      <ng-miam-list-input ngDefaultControl formArrayName="steps" (deleteId)="addToDeleteStepsList($event)"
        [list]="recipeForm.get('steps')" hint='Ajouter des étapes'></ng-miam-list-input>
    </div>
    <div class="input-container" *ngIf="isAdmin">

      <div class="m-label">Status</div>
      <select *ngIf="statusService" [formControl]="recipeForm?.get('recipe-status')" class="m-input-text">
        <option [ngValue]="null" disabled>Choisir un status</option>
        <option *ngFor="let status of statuses | async" [ngValue]="status">{{status?.attributes?.name}}
        </option>
      </select>
      <div class="m-label">Provider</div>
      <select *ngIf="recipeProviderservice"  [formControl]="recipeForm?.get('recipe-provider')" class="m-input-text">
        <option [ngValue]="null" disabled>Choisir un provider</option>
        <option *ngFor="let provider of recipeProviderservice?.providerList | async" [ngValue]="provider">{{provider?.attributes?.name}}
        </option>
      </select>
      <div class="m-label"  >Commentaire</div>
       <textarea  cdkTextareaAutosize   cdkAutosizeMinRows="20" cdkAutosizeMaxRows="50" class="m-input-text" [formControl]="recipeForm?.get('attributes')?.get('description')"></textarea>
    </div>
  </div>
</form>
<div class='button-row'>
  <button class="m-button-primary large" (click)='cancel()'>Annuler</button>
  <button class="m-button-primary large" (click)='submit()' [disabled]='recipeForm?.invalid || !recipeForm?.dirty'>
    {{isUpdate ? "Mettre à jour" :"Créer"}}</button>
</div>